cvp.vo

## Class AssistitoPrescrizione

- java.lang.Object
- - cvp.vo.AssistitoPrescrizione

-     public class AssistitoPrescrizione
      extends java.lang.Object

  Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codIdentificativoAssistito` Codice identificativo dell'assisto, elemento facoltativo.
    `private java.lang.String` | `codNazionaleAslResidenza` Codice nazionale dell'asl di residenza dell'assistito, elemento facoltativo.
    `private java.lang.String` | `codSanitarioAssFAnag` Codice sanitario dell'assistito fuori anagrafe, elemento facoltativo.
    `private java.lang.String` | `cognome` Cognome dell'assistito, elemento facoltativo.
    `private java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento facoltativo.
    `private java.lang.String` | `dataNascitaEstero` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria
    `private java.lang.String` | `dataScadTessera` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria
    `private java.lang.String` | `indirizzoResidenza` Rappresenta l'indirizzo dell'assistito
    `private java.lang.String` | `istituzCompetente` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria
    `private java.lang.String` | `nome` Nome dell'assistito, elemento facoltativo.
    `private java.lang.String` | `nomeComuneResidenza` Nome del comune di residenza dell'assistito, elemento facoltativo.
    `private java.lang.String` | `numIdentPers` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria
    `private java.lang.String` | `numIdentTess` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria
    `private java.lang.String` | `numTessSasn` Rappresenta il numero tessera assistenza SASN, da compilarsi in maniera obbligatoria solo per assistiti SASN come nella matrice dei ricettari cartacei.
    `private java.lang.String` | `sesso` Sesso dell'assistito, elemento facoltativo.
    `private java.lang.String` | `socNavigaz` Rappresenta la Società di navigazione, da compilarsi in maniera obbligatoria solo per assistiti SASN, come nella matrice dei ricettari cartacei
    `private java.lang.String` | `statoEstero` La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistitoPrescrizione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodIdentificativoAssistito()`
    `java.lang.String` | `getCodNazionaleAslResidenza()`
    `java.lang.String` | `getCodSanitarioAssFAnag()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getDataNascitaEstero()`
    `java.lang.String` | `getDataScadTessera()`
    `java.lang.String` | `getIndirizzoResidenza()`
    `java.lang.String` | `getIstituzCompetente()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getNomeComuneResidenza()`
    `java.lang.String` | `getNumIdentPers()`
    `java.lang.String` | `getNumIdentTess()`
    `java.lang.String` | `getNumTessSasn()`
    `java.lang.String` | `getSesso()`
    `java.lang.String` | `getSocNavigaz()`
    `java.lang.String` | `getStatoEstero()`
    `void` | `setCodIdentificativoAssistito(java.lang.String codIdentificativoAssistito)`
    `void` | `setCodNazionaleAslResidenza(java.lang.String codNazionaleAslResidenza)`
    `void` | `setCodSanitarioAssFAnag(java.lang.String codSanitarioAssFAnag)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDataNascitaEstero(java.lang.String dataNascitaEstero)`
    `void` | `setDataScadTessera(java.lang.String dataScadTessera)`
    `void` | `setIndirizzoResidenza(java.lang.String indirizzoResidenza)`
    `void` | `setIstituzCompetente(java.lang.String istituzCompetente)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setNomeComuneResidenza(java.lang.String nomeComuneResidenza)`
    `void` | `setNumIdentPers(java.lang.String numIdentPers)`
    `void` | `setNumIdentTess(java.lang.String numIdentTess)`
    `void` | `setNumTessSasn(java.lang.String numTessSasn)`
    `void` | `setSesso(java.lang.String sesso)`
    `void` | `setSocNavigaz(java.lang.String socNavigaz)`
    `void` | `setStatoEstero(java.lang.String statoEstero)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codIdentificativoAssistito

          private java.lang.String codIdentificativoAssistito

      Codice identificativo dell'assisto, elemento facoltativo. Contiene i seguenti valori:
    - codice fiscale per gli assistiti italiani o stranieri residente in Italia;
    - codice STP per gli assistiti temporaneamente presenti in Italia;
    - codice identificativo della tessere sanitaria assicurativa per gli assistiti esteri. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### codSanitarioAssFAnag

      private java.lang.String codSanitarioAssFAnag

  Codice sanitario dell'assistito fuori anagrafe, elemento facoltativo.

- #### cognome

      private java.lang.String cognome

  Cognome dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### nome

      private java.lang.String nome

  Nome dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### dataNascita

      private java.lang.String dataNascita

  Data di nascita dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### sesso

      private java.lang.String sesso

  Sesso dell'assistito, elemento facoltativo. Può assumere i seguenti valori:
- M = Maschio;
- F = Femmima. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### nomeComuneResidenza

      private java.lang.String nomeComuneResidenza

  Nome del comune di residenza dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### codNazionaleAslResidenza

      private java.lang.String codNazionaleAslResidenza

  Codice nazionale dell'asl di residenza dell'assistito, elemento facoltativo.

- #### indirizzoResidenza

      private java.lang.String indirizzoResidenza

  Rappresenta l'indirizzo dell'assistito

- #### numTessSasn

      private java.lang.String numTessSasn

  Rappresenta il numero tessera assistenza SASN, da compilarsi in maniera obbligatoria solo per assistiti SASN come nella matrice dei ricettari cartacei.

- #### socNavigaz

      private java.lang.String socNavigaz

  Rappresenta la Società di navigazione, da compilarsi in maniera obbligatoria solo per assistiti SASN, come nella matrice dei ricettari cartacei

- #### statoEstero

      private java.lang.String statoEstero

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- #### istituzCompetente

      private java.lang.String istituzCompetente

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- #### numIdentPers

      private java.lang.String numIdentPers

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- #### numIdentTess

      private java.lang.String numIdentTess

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- #### dataNascitaEstero

      private java.lang.String dataNascitaEstero

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- #### dataScadTessera

      private java.lang.String dataScadTessera

  La compilazione di questo campo è riservata ai soggetti stranieri, dell'Unione Europea o di altri paesi extraeuropei, che non sono provvisti di Tessera Sanitaria

- ### Constructor Detail

  - #### AssistitoPrescrizione

        public AssistitoPrescrizione()

- ### Method Detail

  - #### getIndirizzoResidenza

        public java.lang.String getIndirizzoResidenza()

  - #### setIndirizzoResidenza

        public void setIndirizzoResidenza(java.lang.String indirizzoResidenza)

  - #### getNumTessSasn

        public java.lang.String getNumTessSasn()

  - #### setNumTessSasn

        public void setNumTessSasn(java.lang.String numTessSasn)

  - #### getSocNavigaz

        public java.lang.String getSocNavigaz()

  - #### setSocNavigaz

        public void setSocNavigaz(java.lang.String socNavigaz)

  - #### getStatoEstero

        public java.lang.String getStatoEstero()

  - #### setStatoEstero

        public void setStatoEstero(java.lang.String statoEstero)

  - #### getIstituzCompetente

        public java.lang.String getIstituzCompetente()

  - #### setIstituzCompetente

        public void setIstituzCompetente(java.lang.String istituzCompetente)

  - #### getNumIdentPers

        public java.lang.String getNumIdentPers()

  - #### setNumIdentPers

        public void setNumIdentPers(java.lang.String numIdentPers)

  - #### getNumIdentTess

        public java.lang.String getNumIdentTess()

  - #### setNumIdentTess

        public void setNumIdentTess(java.lang.String numIdentTess)

  - #### getDataNascitaEstero

        public java.lang.String getDataNascitaEstero()

  - #### setDataNascitaEstero

        public void setDataNascitaEstero(java.lang.String dataNascitaEstero)

  - #### getDataScadTessera

        public java.lang.String getDataScadTessera()

  - #### setDataScadTessera

        public void setDataScadTessera(java.lang.String dataScadTessera)

  - #### getCodIdentificativoAssistito

        public java.lang.String getCodIdentificativoAssistito()

  - #### setCodIdentificativoAssistito

        public void setCodIdentificativoAssistito(java.lang.String codIdentificativoAssistito)

  - #### getCognome

        public java.lang.String getCognome()

  - #### setCognome

        public void setCognome(java.lang.String cognome)

  - #### getNome

        public java.lang.String getNome()

  - #### setNome

        public void setNome(java.lang.String nome)

  - #### getSesso

        public java.lang.String getSesso()

  - #### setSesso

        public void setSesso(java.lang.String sesso)

  - #### getDataNascita

        public java.lang.String getDataNascita()

  - #### setDataNascita

        public void setDataNascita(java.lang.String dataNascita)

  - #### getNomeComuneResidenza

        public java.lang.String getNomeComuneResidenza()

  - #### setNomeComuneResidenza

        public void setNomeComuneResidenza(java.lang.String nomeComuneResidenza)

  - #### getCodSanitarioAssFAnag

        public java.lang.String getCodSanitarioAssFAnag()

  - #### setCodSanitarioAssFAnag

        public void setCodSanitarioAssFAnag(java.lang.String codSanitarioAssFAnag)

  - #### getCodNazionaleAslResidenza

        public java.lang.String getCodNazionaleAslResidenza()

  - #### setCodNazionaleAslResidenza

        public void setCodNazionaleAslResidenza(java.lang.String codNazionaleAslResidenza)